Core - Feature # 42592

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Frontend
Created: 2012-11-01 Assigned To:

Updated: 2015-02-06 Due date:

PHP Version:

Complexity: hard

Sprint Focus:

Subject: FE sessions (cookies) should only be created when needed

Description

Currently on every request, if not already present, a FE-session-cookie is set for the user. Imho this could/should be avoided until
needed - for example until data is written into the session.

(PS: If there are arguments against this as a general solution, maybe it could at least be configurable.)

Related issues:
related to Core - Bug # 53598: Select/Delete fe_sessions twice per request Resolved 2013-11-13

History

#1 - 2012-11-01 15:52 - Stefan Neufeind

Steffen Mliller agreed but suggested to first write some testcases and refactor the code in question.

#2 - 2012-11-02 09:41 - Thorsten Kahler
- Tracker changed from Bug to Feature

- Category set to Frontend

- Status changed from New to Accepted

- Complexity set to hard

There are already some ways to work around it (see EXT:moc_varnish) but there should be a way to configure this in the core.

#3 - 2015-01-12 18:38 - Mathias Schreiber

- Target version set to 7.2 (Frontend)

#4 - 2015-02-06 22:44 - Christian Kuhn

- Status changed from Accepted to Resolved

It is possible since 6.2 (?) to have no FE cookies set.

#5 - 2015-02-06 23:54 - Stefan Neufeind

Yes resolved in 6.2 (or so0). This issue dates back to stone-age (well, event 4.5) :-) Thanks for finding/closing.
